Update entity field
curl --request PATCH \
--url https://api.lithoblocks.com/v1/entities/{entity_id}/fields/{field_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"is_required": true,
"object_schema": null
}
'import requests
url = "https://api.lithoblocks.com/v1/entities/{entity_id}/fields/{field_id}"
payload = {
"name": "<string>",
"description": "<string>",
"is_required": True,
"object_schema": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
is_required: true,
object_schema: null
})
};
fetch('https://api.lithoblocks.com/v1/entities/{entity_id}/fields/{field_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"is_required": true,
"parent_field_id": "<string>",
"path": [
"<string>"
],
"created_at": "<string>",
"updated_at": "<string>",
"object_schema": null
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Entities
Update entity field
Update an entity field (Member+ role required). snake_case body; legacy camelCase accepted.
PATCH
/
v1
/
entities
/
{entity_id}
/
fields
/
{field_id}
Update entity field
Authorizations
LithoBlocks API key obtained from your organization dashboard
Body
application/json
Field update data
Response
Updated field
Available options:
string, number, boolean, date, array, object Available options:
string, number, boolean, date, array, object ⌘I

